-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}
M.type = "auxilliary"



local min = math.min
local max = math.max
local abs = math.abs



local function updateGFX(dt)
  electrics.values.ramp_lift = min(max(electrics.values.ramp_lift + electrics.values.ramp_updown_change * dt * 0.1, -1), 1)
  electrics.values.ramp_lift_bottom = min(max(electrics.values.ramp_lift_bottom + electrics.values.ramp_bottom_updown_change * dt * 0.1, -1), 1)
  
 
end


local function init(jbeamData)

  
  electrics.values.ramp_lift = 0
  electrics.values.ramp_lift_bottom = 0
  electrics.values.ramp_updown_change = 0
  electrics.values.ramp_bottom_updown_change = 0

end

M.init = init
M.updateGFX = updateGFX
M.update = update

return M